Update contract obligation

View as Markdown

Authentication

Authorizationstring
API Key authentication via header

Path parameters

idstringRequired
Contract Id
obligationIdstringRequired
Obligation Id

Request

This endpoint expects an object.
namestringOptional
Billing term name
descriptionstringOptional
Billing term description
itemIdstringOptional
Item Id
productIdstring or nullOptional

Product ID from /v3/products that links this billing term to an entry in the merchant’s product catalog. Omit to leave unchanged, provide a UUID to link, or null to unlink. To ensure revenue reporting accuracy, associate the billing term with a product whenever applicable.

classIdstringOptional
Class Id
categoryIdstringOptional
Category Id
eventTypeIdstringOptional
Event Type Id
pricestringOptional
Price
invoiceDateStrategystringOptional

Strategy for determining when to send invoices. FIRST_OF_PERIOD (invoice at start of billing period), LAST_OF_PERIOD (invoice at end of billing period), ARREARS (invoice after service delivery) or ADVANCED_DUE_START (invoice date at start of billing period minus netPaymentTerms days, due start of service).

netPaymentTermsdoubleOptional
Net Payment Terms
includeInArrbooleanOptional

Whether this billing term contributes to ARR (Annual Recurring Revenue)

billingStartDatestringOptional
Billing Start Date
billingFrequencydoubleOptional
Billing Frequency
billingFrequencyUnitenumOptional
Billing Frequency Unit
totalNumberOfInvoicesdoubleOptional
Total Number of Invoices
revenueStartDatestringOptional
Revenue Start Date
revenueEndDatestringOptional
Revenue End Date
discountobjectOptional

Discount configuration. Pass empty object {} to remove existing discount, omit field to leave discount untouched, or provide values to update discount. Examples: { type: ‘FIXED’, amount: ‘5.00’ } for a $5.00 fixed discount, { type: ‘PERCENTAGE’, amount: ‘0.10’ } for a 10% percentage discount, or {} to remove discount

regenerateInvoicesbooleanOptional
Regenerate Invoices

Response

Obligation updated successfully

Errors

404
Not Found Error
500
Internal Server Error